Skip navigation.
Home
The QNX Community Portal

View topic - Hardware Support List

Hardware Support List

All topics.

Hardware Support List

Postby Mr.Green » Tue Jan 06, 2009 8:57 am

Hi all,
we are about to buy an Industrial PC (Nanoserver E8 ), but I am unsure if QNX will support the hardware.
The PC is based on Geode LX800 with CS5536 Chipset.

But the distributor says they use Realtek RTL8100C for ethernet and Realtek ALC203 for audio.

I looked up the hardware support list but these devices aren't listed. We are using another Geode LX800 PC, but I am afraid it uses another Audio and Ethernet.

Can anybody tell me, if the hardware isn't listed in hardware support list, won't it work? Or did anybody use this hardware (this PC or this audio and ethernet chip)?

Regards
Mr.Green
Mr.Green
Active Member
 
Posts: 37
Joined: Tue Nov 11, 2008 12:21 pm

Postby Tim » Tue Jan 06, 2009 2:48 pm

Mr Green,

If it's not listed as being supported then it's very unlikely it will work.

That said, you didn't mention which version of QNX you are using (6.3 vs 6.4). The lists are only current as of 6.3 so if you are using the recently released 6.4 that hardware may now be supported. So you might want to check the release notes for 6.4 or visit the foundry27 website where there is more recent information on 6.4 and recent hardware support.

Tim
Tim
Senior Member
 
Posts: 1392
Joined: Wed Mar 10, 2004 12:28 am

Postby Mr.Green » Wed Jan 07, 2009 7:40 am

Currently we are using 6.3, a switch to 6.4 might be performed later on. But actually we need to run the hardware with 6.3

We have a PC working that uses Realtek RTL8169/8110, and this Network-Chip isn't listed in the Hardware Support List either.
Mr.Green
Active Member
 
Posts: 37
Joined: Tue Nov 11, 2008 12:21 pm

Postby Tim » Wed Jan 07, 2009 2:49 pm

Mr Green,

Interesting. I've never found hardware that works that isn't listed in the supported device list. But I guess that chip must be close enough to a supported one to work.

I'd still suggest checking on Foundry27. There are often drivers there for 6.4 that can work on 6.3 so you may find the ones you want there.

However it's a lot more likely there is updated ethernet support than sound support.

Tim
Tim
Senior Member
 
Posts: 1392
Joined: Wed Mar 10, 2004 12:28 am


Return to Cafe

Who is online

Users browsing this forum: No registered users and 1 guest